## Apache Zeta Components Manual :: File Source for backend_interface.php

## Source for file backend_interface.php

Documentation is available at backend_interface.php

1. <?php
2. /**
3. *
4. * Licensed to the Apache Software Foundation (ASF) under one
5. * or more contributor license agreements. See the NOTICE file
6. * distributed with this work for additional information
7. * regarding copyright ownership. The ASF licenses this file
8. * to you under the Apache License, Version 2.0 (the
9. * "License"); you may not use this file except in compliance
10. * with the License. You may obtain a copy of the License at
11. *
12. * http://www.apache.org/licenses/LICENSE-2.0
13. *
14. * Unless required by applicable law or agreed to in writing,
15. * software distributed under the License is distributed on an
16. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
17. * KIND, either express or implied. See the License for the
18. * specific language governing permissions and limitations
19. * under the License.
20. *
21. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
22. * @version //autogentag//
23. * @filesource
24. * @package Translation
25. */
27. /**
28. * Interface for Translation backends.
29. *
30. * This interface describes the methods that a Translation backend should
31. * implement.
32. *
33. * For an example see {@link ezcTranslationTsBackend}.
34. *
35. * @package Translation
36. * @version //autogentag//
37. */
38. interface ezcTranslationBackend
39. {
40. /**
41. * Sets the backend specific $configurationData.
42. *
43. * $configurationData should be an implementation of ezcBaseOptions (or, for
44. * sake of backwards compatibility an associative array). See
45. * {@link ezcTranslationTsBackend} for an example implementation.
46. *
47. * Each implementor must document the options that it accepts and throw an
48. * {@link ezcBaseConfigException} with the
49. * {@link ezcBaseConfigException::UNKNOWN_CONFIG_SETTING} type if an option
50. * is not supported.
51. *
52. * @param mixed $configurationData
53. * @return void
54. */
55. public function setOptions ( $configurationData );
57. /**
58. * Returns an array with translation data for the context $context and the locale
59. * $locale.
60. *
61. * This method returns an array describing the map used for translation of text.
62. * For the format see {@link ezcTranslation::$translationMap}.
63. *
64. * @throws TranslationException when a context is not available.
65. * @param string $locale
66. * @param string $context
67. * @return array
68. */
69. public function getContext ( $locale, $context );
70. }
71. ?>

Documentation generated by phpDocumentor 1.4.3